Bulk Transactions

This API is used to get bulk transaction history for a merchant within a specified date and time range. It supports three types of records — TRANSACTION, CAPTURE, and REFUND transactions — controlled by the transactionType parameter.

HTTP Status and Response Status Matrix

HTTP
Status
Response StatusResponse Message
200SuccessSuccess
400VALIDATION_ERRORRequest body validation failed.
500INTERNAL_PROCESSING_ERRORThe request subscription is either already cancelled or already expired
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
date-time
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}$

Start of the date range for fetching transactions. Must be past or present. Conditional (C) – Required if nextPageToken is not provided.

date-time
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}$

End of the date range for fetching transactions. Must be past or present and greater than startDateTime. Date range cannot exceed 24 hours. Conditional (C) – Required if nextPageToken is not provided.

string
enum

Type of transaction records to fetch. Conditional (C) – Required if nextPageToken is not provided. If nextPageToken is passed, transactionType, startDateTime, and endDateTime will not be considered.

Allowed:
string

Pagination token for fetching the next set of records. The nextPageToken parameter will be included in the response only when the given time period contains more records. To fetch the next set of records, this token must be passed in the subsequent request.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json